<app-page-form>
  <ng-container ngProjectAs="[page-form-content]">
    <h1>
      {{ 'admin.category.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
    </h1>
    <p>
      {{ 'admin.category.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
    </p>
    <form [formGroup]="formGroup"
          #form="ngForm" (ngSubmit)="formGroup.valid && save()">
      <mat-form-field>
        <mat-label>
          {{ 'admin.category.edit.form.name' | translate }}
        </mat-label>
        <input matInput name="name" formControlName="name"/>
        <mat-error *ngIf="formGroup.controls.name.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>

      <form formArrayName="playerCategories">
        <h3>
          {{ 'admin.category.edit.form.playerCategories' | translate }}
        </h3>
        <form *ngFor="let playerCategoryFormGroup of controlAsFormGroups(formGroup.controls.playerCategories); let index = index; trackBy: trackByCategoryValue"
              class="player-category"
              [formGroup]="playerCategoryFormGroup">
          <mat-form-field class="category">
            <mat-label>
              {{ 'admin.category.edit.form.playerCategory' | translate }}
            </mat-label>
            <mat-select formControlName="category">
              <mat-option *ngFor="let playerCategory of playerCategoryFormGroup.value.categories | async"
                          [value]="playerCategory">
                {{ playerCategory | categoryLabel }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="playerCategoryFormGroup.controls.category.errors?.required">
              {{ 'admin.common.validation.required' | translate }}
            </mat-error>
          </mat-form-field>
          <mat-form-field class="limit">
            <mat-label>
              {{ 'admin.category.edit.form.limit' | translate }}
            </mat-label>
            <mat-select formControlName="limit">
              <mat-option *ngFor="let limit of limits"
                          [value]="limit">
                {{ limit > -1 ? limit : ('admin.category.edit.form.noLimit' | translate) }}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="playerCategoryFormGroup.controls.limit.errors?.required">
              {{ 'admin.common.validation.required' | translate }}
            </mat-error>
          </mat-form-field>
          <button type="button" mat-icon-button class="action"
                  [attr.aria-label]="'admin.category.edit.action.playerCategory.delete' | translate"
                  (click)="deletePlayerCategory(formGroup, index)"
                  angulartics2On="click"
                  angularticsLabel="playerCategory"
                  angularticsAction="delete"
                  angularticsCategory="admin-category-edit">
            <mat-icon>
              delete
            </mat-icon>
          </button>
        </form>
        <button type="button" mat-stroked-button color="primary"
                (click)="addPlayerCategory(formGroup)"
                angulartics2On="click"
                angularticsLabel="playerCategory"
                angularticsAction="add"
                angularticsCategory="admin-category-edit">
          <mat-icon>
            add
          </mat-icon>
          {{ 'admin.category.edit.action.playerCategory.add' | translate }}
        </button>
      </form>
    </form>
  </ng-container>
  <ng-container ngProjectAs="[page-form-footer]">
    <a mat-stroked-button color="accent"
       [routerLink]="previousRouteCommands?.commands"
       [queryParams]="previousRouteCommands?.queryParams">
      <mat-icon>
        cancel
      </mat-icon>
      {{ 'admin.common.action.cancel' | translate }}
    </a>
    <app-async-button [loading]="loading.save">
      <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
        <mat-icon>
          save
        </mat-icon>
        {{ 'admin.common.action.save' | translate }}
      </button>
    </app-async-button>
  </ng-container>
</app-page-form>
